## ros-rolling-kortex-bringup 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kortex_bringup)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

# Install Python executables
install(PROGRAMS
  scripts/test_huge_joint_space_jump.py
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-kortex-bringup (0.2.2-1jammy) jammy; urgency=high



 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Wed, 09 Aug 2023 04:00:00 -0000

ros-rolling-kortex-bringup (0.2.1-1jammy) jammy; urgency=high

  * fix missing dependencies (#152 <https://github.com/PickNikRobotics/ros2_kortex/issues/152>)
    This fixes missing dependencies which were available from source build
    but were missing from released binary
  * Contributors: Alex Moriarty

 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Wed, 26 Jul 2023 04:00:00 -0000

ros-rolling-kortex-bringup (0.2.0-1jammy) jammy; urgency=high

  * Initial Public ROS 2 release of kortex_bringup
  * Make Gripper velocity and force configurable through URDF (#137 <https://github.com/PickNikRobotics/ros2_kortex/issues/137>)
  * Fix License -> BSD and update maintainers (#146 <https://github.com/PickNikRobotics/ros2_kortex/issues/146>)
  * Contributors: Alex Moriarty, Anthony Baker

 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Mon, 17 Jul 2023 04:00:00 -0000

ros-rolling-kortex-bringup (0.1.0-1jammy) jammy; urgency=high



 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Sun, 12 Sep 2021 04:00:00 -0000

=== debian/control ===
Source: ros-rolling-kortex-bringup
Section: misc
Priority: optional
Maintainer: Marq Rasmussen <marq.rasmussen@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-python, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-kortex-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-manager, ros-rolling-gazebo-ros2-control, ros-rolling-gripper-controllers, ros-rolling-joint-state-broadcaster, ros-rolling-joint-state-publisher, ros-rolling-joint-trajectory-controller, ros-rolling-kortex-description, ros-rolling-kortex-driver, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclpy, ros-rolling-robotiq-description, ros-rolling-rviz2, ros-rolling-urdf, ros-rolling-xacro, ros-rolling-ros-workspace
Description: Launch file and run-time configurations, e.g.
 controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-kortex-bringup//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
